commit 61382972d005a76bc9e5d1dd66c6b515f62499d7
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Tue Dec 8 09:19:36 2020 +0100

    Fix PR target/96470
    
    This forces the scalarization of the testcase on PowerPC.
    
    gcc/testsuite/ChangeLog:
            PR target/96470
            * gnat.dg/opt39.adb: Add dg-additional-options for PowerPC.

diff --git a/gcc/testsuite/gnat.dg/opt39.adb b/gcc/testsuite/gnat.dg/opt39.adb
index 0a5ef67a2ed..f2e983fd602 100644
--- a/gcc/testsuite/gnat.dg/opt39.adb
+++ b/gcc/testsuite/gnat.dg/opt39.adb
@@ -1,5 +1,6 @@
 -- { dg-do compile }
 -- { dg-options "-O2 -fno-inline -fdump-tree-optimized" }
+-- { dg-additional-options "-cargs --param=sra-max-scalarization-size-Ospeed=32 -margs" { target powerpc*-*-* } }
 
 procedure Opt39 (I : Integer) is
 

